summaryrefslogtreecommitdiffstats
path: root/bin/ebuild-helpers
diff options
context:
space:
mode:
authorZac Medico <zmedico@gentoo.org>2011-08-31 19:54:19 -0700
committerZac Medico <zmedico@gentoo.org>2011-08-31 19:54:19 -0700
commitd7579ecd27ca051d7f987102caeb53e826a6fe93 (patch)
treeb1192edbeeffea84b8817522c5e7697100163a8f /bin/ebuild-helpers
parentce501b36d7078db059c606d3b4f38637ad09528e (diff)
downloadportage-d7579ecd27ca051d7f987102caeb53e826a6fe93.tar.gz
portage-d7579ecd27ca051d7f987102caeb53e826a6fe93.tar.bz2
portage-d7579ecd27ca051d7f987102caeb53e826a6fe93.zip
Revert "xml/metadata: implement XMLParser.doctype()"
This reverts commit ce501b36d7078db059c606d3b4f38637ad09528e. This commit had lots of unintended changes included.
Diffstat (limited to 'bin/ebuild-helpers')
-rwxr-xr-xbin/ebuild-helpers/doexe8
-rwxr-xr-xbin/ebuild-helpers/doins16
-rwxr-xr-xbin/ebuild-helpers/dosed8
3 files changed, 13 insertions, 19 deletions
diff --git a/bin/ebuild-helpers/doexe b/bin/ebuild-helpers/doexe
index f44cfba34..360800e02 100755
--- a/bin/ebuild-helpers/doexe
+++ b/bin/ebuild-helpers/doexe
@@ -9,10 +9,8 @@ if [[ $# -lt 1 ]] ; then
exit 1
fi
-case "$EAPI" in 0|1|2) ED=${D} ;; esac
-
-if [[ ! -d ${ED}${_E_EXEDESTTREE_} ]] ; then
- install -d "${ED}${_E_EXEDESTTREE_}"
+if [[ ! -d ${D}${_E_EXEDESTTREE_} ]] ; then
+ install -d "${D}${_E_EXEDESTTREE_}"
fi
TMP=$T/.doexe_tmp
@@ -31,7 +29,7 @@ for x in "$@" ; do
mysrc="${x}"
fi
if [ -e "$mysrc" ] ; then
- install $EXEOPTIONS "$mysrc" "$ED$_E_EXEDESTTREE_"
+ install $EXEOPTIONS "$mysrc" "$D$_E_EXEDESTTREE_"
else
echo "!!! ${0##*/}: $mysrc does not exist" 1>&2
false
diff --git a/bin/ebuild-helpers/doins b/bin/ebuild-helpers/doins
index 1ca69a6e9..7dec14682 100755
--- a/bin/ebuild-helpers/doins
+++ b/bin/ebuild-helpers/doins
@@ -27,14 +27,12 @@ else
DOINSRECUR=n
fi
-case "$EAPI" in 0|1|2) export ED="${D}" ;; esac
-
-if [[ ${INSDESTTREE#${ED}} != "${INSDESTTREE}" ]]; then
+if [[ ${INSDESTTREE#${D}} != "${INSDESTTREE}" ]]; then
vecho "-------------------------------------------------------" 1>&2
- vecho "You should not use \${ED} with helpers." 1>&2
+ vecho "You should not use \${D} with helpers." 1>&2
vecho " --> ${INSDESTTREE}" 1>&2
vecho "-------------------------------------------------------" 1>&2
- helpers_die "${0##*/} used with \${ED}"
+ helpers_die "${0##*/} used with \${D}"
exit 1
fi
@@ -51,7 +49,7 @@ export TMP=$T/.doins_tmp
# Use separate directories to avoid potential name collisions.
mkdir -p "$TMP"/{1,2}
-[[ ! -d ${ED}${INSDESTTREE} ]] && dodir "${INSDESTTREE}"
+[[ ! -d ${D}${INSDESTTREE} ]] && dodir "${INSDESTTREE}"
_doins() {
local mysrc="$1" mydir="$2" cleanup="" rval
@@ -65,8 +63,8 @@ _doins() {
# $PORTAGE_ACTUAL_DISTDIR/.
if [ $PRESERVE_SYMLINKS = y ] && \
! [[ $(readlink "$mysrc") == "$PORTAGE_ACTUAL_DISTDIR"/* ]] ; then
- rm -rf "${ED}$INSDESTTREE/$mydir/${mysrc##*/}" || return $?
- cp -P "$mysrc" "${ED}$INSDESTTREE/$mydir/${mysrc##*/}"
+ rm -rf "$D$INSDESTTREE/$mydir/${mysrc##*/}" || return $?
+ cp -P "$mysrc" "$D$INSDESTTREE/$mydir/${mysrc##*/}"
return $?
else
cp "$mysrc" "$TMP/2/${mysrc##*/}" || return $?
@@ -75,7 +73,7 @@ _doins() {
fi
fi
- install ${INSOPTIONS} "${mysrc}" "${ED}${INSDESTTREE}/${mydir}"
+ install ${INSOPTIONS} "${mysrc}" "${D}${INSDESTTREE}/${mydir}"
rval=$?
[[ -n ${cleanup} ]] && rm -f "${cleanup}"
[ $rval -ne 0 ] && echo "!!! ${0##*/}: $mysrc does not exist" 1>&2
diff --git a/bin/ebuild-helpers/dosed b/bin/ebuild-helpers/dosed
index 00cf5da17..afc949ba5 100755
--- a/bin/ebuild-helpers/dosed
+++ b/bin/ebuild-helpers/dosed
@@ -1,5 +1,5 @@
#!/bin/bash
-# Copyright 1999-2011 Gentoo Foundation
+# Copyright 1999-2006 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
if [[ $# -lt 1 ]] ; then
@@ -7,14 +7,12 @@ if [[ $# -lt 1 ]] ; then
exit 1
fi
-case "$EAPI" in 0|1|2) ED=${D} ;; esac
-
ret=0
file_found=0
-mysed="s:${ED}::g"
+mysed="s:${D}::g"
for x in "$@" ; do
- y=$ED${x#/}
+ y=$D${x#/}
if [ -e "${y}" ] ; then
if [ -f "${y}" ] ; then
file_found=1